<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>cn.com.qmth</groupId>
    <artifactId>stmms-ms-parent</artifactId>
    <version>${project.version}</version>
    <modules>
        <module>stmms-ms-core</module>
        <module>stmms-ms-main</module>
        <module>stmms-ms-log</module>
        <module>stmms-ms-marking</module>
        <module>stmms-ms-admin</module>
        <module>stmms-ms-commons</module>
        <module>stmms-ms-accesscontrol</module>
        <module>stmms-ms-collect</module>
    </modules>
    <packaging>pom</packaging>
    <name>stmms-ms</name>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>1.4.0.RELEASE</version>
    </parent>


    <properties>
        <!-- non-dependencies -->
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.version>2.4.0</project.version>
        <java.version>1.8</java.version>
        <thymeleaf.version>3.0.0.RELEASE</thymeleaf.version>
        <thymeleaf-layout-dialect.version>2.0.0</thymeleaf-layout-dialect.version>
        <mysql.version>5.1.21</mysql.version>
        <poi.version>3.8</poi.version>
        <!--反射工具类 -->
        <reflectasm.version>1.11.3</reflectasm.version>
        <!-- 图片压缩 -->
        <thumbnailator.version>0.4.8</thumbnailator.version>
        <!-- maven plugins -->
        <maven-surefire-plugin.version>2.19.1</maven-surefire-plugin.version>
        <maven-compiler-plugin.version>3.3</maven-compiler-plugin.version>
    </properties>

    <dependencyManagement>

        <dependencies>
            <!--modules -->
            <dependency>
                <groupId>cn.com.qmth</groupId>
                <artifactId>stmms-ms-core</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.com.qmth</groupId>
                <artifactId>stmms-ms-commons</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.com.qmth</groupId>
                <artifactId>stmms-ms-accesscontrol</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.com.qmth</groupId>
                <artifactId>stmms-ms-admin</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.com.qmth</groupId>
                <artifactId>stmms-ms-marking</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.com.qmth</groupId>
                <artifactId>stmms-ms-log</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/net.sf.json-lib/json-lib -->
            <dependency>
                <groupId>net.sf.json-lib</groupId>
                <artifactId>json-lib</artifactId>
                <version>2.4</version>
            </dependency>
            <dependency>
                <groupId>com.esotericsoftware</groupId>
                <artifactId>reflectasm</artifactId>
                <version>${reflectasm.version}</version>
            </dependency>
            <dependency>
                <groupId>net.coobird</groupId>
                <artifactId>thumbnailator</artifactId>
                <version>${thumbnailator.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
            </plugin>

        </plugins>

        <pluginManagement>
            <plugins>

                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${maven-surefire-plugin.version}</version>
                    <configuration>
                        <testFailureIgnore>true</testFailureIgnore>
                    </configuration>
                </plugin>

                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${maven-compiler-plugin.version}</version>
                    <configuration>
                        <source>1.8</source>
                        <target>1.8</target>
                        <compilerArgument>-proc:none</compilerArgument>
                    </configuration>
                </plugin>

            </plugins>
        </pluginManagement>
    </build>

</project>